## Return a Variable's Value

## Usage

    get(x, pos=-1, envir=pos.to.env(pos), mode="any", inherits=TRUE)

## Arguments

`x` | a variable name (given as a quoted string).
`pos` | position in search list, can be numerical or a quoted string.
`envir` | the environment to be used.
`mode` | the type of object sought.
`inherits` | should the enclosing frames of the environment be inspected?

## Value

This function searches the specified environment for a bound variable whose name is given by the string `x`. If the variable's value is not of the correct `mode`, it is ignored.

If `inherits` is `FALSE`, only the first frame of the specified environment is inspected. If `inherits` is `TRUE`, the search is continued up through the parent frames until a bound value of the right mode is found.

Using a `NULL` environment is equivalent to using the current environment.

## See Also

`exists`.

## Examples

    get("%o%")

[Package Contents]